CentOS6安装v2ray服务

作者: writer 分类: 技术 发布时间: 2018-01-24 14:08 ė 15,883 6 7条评论

CentOS6安装v2ray服务
V2ray官方安装脚本只支持Debian7,Debian8和CentOS7系列。
可是很多Linux服务器却还是运行着CentOS6系列。
如果直接运行v2ray官方的安装脚本
bash <(curl -L -s https://install.direct/go.sh)

那么会像下面报错

Updating software repo
/dev/fd/63: line 119: apt-get: command not found
Installing daemon
/dev/fd/63: line 124: apt-get: command not found
Install daemon fail, please install it manually

问题就是安装脚本在创建守护服务的时候不支持CentOS6

解决办法

将下述代码保存为/etc/init.d/v2ray,并添加执行权限。

加入开机启动,开启服务。

参考配置文件 /etc/v2ray/config.json

本文出自扉启博客,转载时请注明出处及相应链接。

本文永久链接: https://www.feiqy.com/v2ray/

7条评论

  1. Max 2018年2月6日 下午2:07 回复

    你好,我用搬瓦工CentOS 7安装v2ray的时候也出现了上述的问题,想请教一下也是这种原因吗?官方脚本也不支持CentOS7了吗?

    1. ganhai 2018年2月6日 下午6:17 回复

      v2ray安装脚本是支持centos7的,我用别的机器试过。
      你看看错误原因是不是和文中一样。
      如果一样的话,用init.d启动脚本好了,可以不用centos7里的systemd启动服务。

  2. 屌炸天 2018年2月6日 下午4:54 回复

    新春佳节到。祝好!祝好!

  3. ger 2018年3月15日 下午2:53 回复

    v2ray的开发者估计现在还不知道centos6这问题

    1. Rick 2019年1月12日 上午1:39 回复

      不,他们知道,但是不准备支持CentOS 6:
      https://github.com/v2ray/v2ray-core/issues/101#issuecomment-214670792%5D

  4. hu 2019年4月8日 上午11:24 回复

    ervice v2ray status
    /etc/init.d/v2ray: line 1: tartup: command not found
    v2ray (pid 18109) is running…

    v2ray可以运行,但参数都没法执行。怎么解决呀?

  5. hu 2019年4月8日 上午11:26 回复

    ervice v2ray status
    /etc/init.d/v2ray: line 1: tartup: command not found
    v2ray (pid 18109) is running…

    v2ray 可以运行,但是参数无法调用,怎么解决呀?

发表评论

电子邮件地址不会被公开。 必填项已用*标注

Ɣ回顶部